%bcond_with static_libs # don't build static libraries

%define major      3
%define libname    %mklibname %{name} %{major}
%define develname  %mklibname %{name} -d
%define staticname %mklibname %{name} -s -d

Summary:        Library providing binary-decimal and decimal-binary routines for IEEE doubles
Name:           double-conversion
Version:        3.3.0
Release:        %mkrel 1
License:        BSD
Group:          Development/Libraries
URL:            https://github.com/google/double-conversion
Source0:        https://github.com/google/double-conversion/archive/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:  cmake

%description
Provides binary-decimal and decimal-binary routines for IEEE doubles.
The library consists of efficient conversion routines that have been
extracted from the V8 JavaScript engine. The code has been re-factored
and improved so that it can be used more easily in other projects.

%package -n     %{libname}
Summary:        Library providing binary-decimal and decimal-binary routines for IEEE doubles
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
Provides binary-decimal and decimal-binary routines for IEEE doubles.
The library consists of efficient conversion routines that have been
extracted from the V8 JavaScript engine. The code has been re-factored
and improved so that it can be used more easily in other projects.

%package -n     %{develname}
Summary:        Library providing binary-decimal and decimal-binary routines for IEEE doubles
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Contains header files for developing applications that use the %{name}
library.

There is extensive documentation in src/double-conversion.h. Other
examples can be found in test/cctest/test-conversions.cc.

%package -n     %{staticname}
Summary:        Library providing binary-decimal and decimal-binary routines for IEEE doubles
Group:          Development/Libraries
Requires:       %{develname} = %{version}-%{release}
Provides:       %{name}-static-devel = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description -n %{staticname}
Static %{name} library.

%prep
%setup -q

%build
cmake -B build \
-DCMAKE_INSTALL_PREFIX=/usr \
-DBUILD_SHARED_LIBS=ON
cmake --build build

%install
DESTDIR="%buildroot" cmake --install build

%files -n %{libname}
%{_libdir}/libdouble-conversion.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libdouble-conversion.so
%{_libdir}/cmake/%{name}/
%{_includedir}/%{name}/

%changelog
* Fri Oct 27 2023 tex - 3.3.0-1pclos2023
- new version: 3.3.0
